Summary:	Lynx-like text WWW browser
Name:		linkx
Version:	2.2
Release:	%mkrel 29
License:	GPL
Group:		Networking/WWW
URL:		https://linkx.sourceforge.net/
#Source0:	%%{name}-%%{ver}.tar.bz2
Source0:	%{name}.tar.gz
Patch0:		linkx-libpng15.patch
Patch1:		linkx-fix-png-crash.diff
Patch2:		linkx-openssl11.patch
Patch3:		linkx-autoconf.patch
Patch4:		fix-build-with-gcc-14.patch
Patch5:		linkx-fix-build-with-gcc15.patch
BuildRequires:  pkgconfig(x11)
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	freetype2-devel
BuildRequires:	pkgconfig(gdlib)
BuildRequires:	gpm-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libtiff-4)
Provides:	webclient

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

Linkx is based on top of links and offer the below features:
- Cookies (load/save/block)
- Tabs
- Access keys (really, really cool feature)
- Forward!
- XDnD drop support
- Italics (some compile time fiddling required)

%prep
%setup  -q -n %name/%name
%autopatch -p1

%build
autoreconf -fi
%configure --enable-graphics --enable-javascript
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Links (tabbed)
Comment=Lynx-like text WWW browser
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Network;WebBrowser;
EOF

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 links_32x32.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

#conflicts with links:
mv %buildroot%_bindir/link{s,x}

%files 
%doc AUTHORS BUGS ChangeLog README SITES TODO
%_bindir/%name
%_mandir/*/*
%_datadir/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Mon May 19 2025 ns80 <ns80> 2.2-29.mga10
+ Revision: 2184792
- try to fix building with GCC 15

* Tue Jan 28 2025 tv <tv> 2.2-28.mga10
+ Revision: 2142988
- Fix build with gcc-14
- Restore linkx
- Restore linkx
+ ns80 <ns80>
- Replaced by links

* Mon Dec 12 2022 ns80 <ns80> 2.2-27.mga9
+ Revision: 1921084
- rebuild for new libtiff

* Fri Apr 01 2022 umeabot <umeabot> 2.2-26.mga9
+ Revision: 1837937
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 2.2-25.mga9
+ Revision: 1747924
- rebuild for openssl 3.0.0

* Thu Feb 13 2020 umeabot <umeabot> 2.2-24.mga8
+ Revision: 1514728
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2-23.mga7
+ Revision: 1299310
- Mageia 7 Mass Rebuild

* Fri Sep 15 2017 cjw <cjw> 2.2-22.mga7
+ Revision: 1154186
- patch2: fix build with openssl 1.1
- patch3: fix build with current autotools

* Fri Oct 14 2016 daviddavid <daviddavid> 2.2-21.mga6
+ Revision: 1060701
- fix desktop file Categories (mga#2449)
- fix missing desktop file icon

* Wed Mar 02 2016 umeabot <umeabot> 2.2-20.mga6
+ Revision: 983614
- Rebuild for openssl

* Sat Jan 02 2016 luigiwalser <luigiwalser> 2.2-19.mga6
+ Revision: 918234
- rebuild without directfb

* Wed Oct 15 2014 umeabot <umeabot> 2.2-18.mga5
+ Revision: 739976
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2-17.mga5
+ Revision: 681947
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 sander85 <sander85> 2.2-16.mga5
+ Revision: 660307
- Rebuild for new directfb

* Tue May 20 2014 luigiwalser <luigiwalser> 2.2-15.mga5
+ Revision: 623990
- rebuild for directfb

* Thu May 01 2014 luigiwalser <luigiwalser> 2.2-14.mga5
+ Revision: 619142
- rebuild for directfb

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.2-13.mga5
+ Revision: 592121
- rebuild for directfb

* Sat Oct 19 2013 umeabot <umeabot> 2.2-12.mga4
+ Revision: 532201
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 fwang <fwang> 2.2-11.mga4
+ Revision: 467260
- rebuild for new dfb

* Mon Jun 03 2013 tv <tv> 2.2-10.mga4
+ Revision: 436309
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.2-9.mga3
+ Revision: 358831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 28 2012 fwang <fwang> 2.2-8.mga3
+ Revision: 275261
- rebuild for new dfb

* Sun Jan 08 2012 wally <wally> 2.2-7.mga2
+ Revision: 193171
- rebuild for new libtiff
- fix .desktop file name

* Thu Nov 17 2011 tv <tv> 2.2-6.mga2
+ Revision: 168541
- patch 1: fix png crashes

* Thu Nov 17 2011 tv <tv> 2.2-5.mga2
+ Revision: 168488
- rebuild due to png crashes

* Wed Oct 26 2011 tv <tv> 2.2-4.mga2
+ Revision: 158172
- build without obsolete svgalib

* Mon Sep 19 2011 fwang <fwang> 2.2-3.mga2
+ Revision: 145342
- fix build with latest libpng

* Mon Jul 18 2011 fwang <fwang> 2.2-2.mga2
+ Revision: 125811
- rebuild for new dfb

* Thu May 12 2011 tv <tv> 2.2-1.mga1
+ Revision: 97650
- imported package linkx


* Thu May 12 2011 Thierry Vignaud <tvignaud@mandriva.com> 2.2-1.mga1
-initial release

